<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <android.support.v7.widget.AppCompatImageView
        android:id="@+id/cameraRoll"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_marginStart="16dp"
        android:padding="12dp"
        android:src="@drawable/ic_cameraroll"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <android.support.v7.widget.RecyclerView
        android:id="@+id/movieList"
        android:layout_width="0dp"
        android:layout_height="96dp"
        android:layout_marginBottom="16dp"
        android:layout_marginEnd="56dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="8dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toRightOf="@+id/cameraRoll"
        app:layout_constraintRight_toLeftOf="@+id/expandMore"
        app:layout_constraintTop_toTopOf="parent" />

    <com.bomostory.sceneeditmodule.view.CollapsedBar
        android:id="@+id/movieBar"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:layout_marginEnd="44dp"
        android:layout_marginStart="8dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toRightOf="@+id/cameraRoll"
        app:layout_constraintRight_toLeftOf="@+id/expandMore"
        app:layout_constraintTop_toTopOf="parent" />

    <android.support.v7.widget.AppCompatImageButton
        android:id="@+id/expandMore"
        android:layout_width="36dp"
        android:layout_height="36dp"
        android:layout_marginEnd="38dp"
        android:background="@null"
        android:src="@drawable/ic_expand_more"
        android:visibility="invisible"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <android.support.v7.widget.AppCompatImageButton
        android:id="@+id/expandLess"
        android:layout_width="36dp"
        android:layout_height="36dp"
        android:layout_marginEnd="38dp"
        android:background="@null"
        android:src="@drawable/ic_expand_less"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</android.support.constraint.ConstraintLayout>